package cn.wisenergy.service.app;

import cn.wisenergy.model.dto.UserSimpleInfoDto;
import cn.wisenergy.model.dto.UsersInfoDto;

import java.util.List;

/**
 * @Authotr:陈奇
 * @QQ1799796883
 */
public interface TestUserService {

    /**
     * 查询下级用户的基本信息
     * @param userId 用户id
     * @return
     */
    List<UserSimpleInfoDto> getDownUserInfoById(Long userId);


    /**
     * 查询用户详细信息
     * @param userId 用户id
     * @return
     */
    UsersInfoDto getUserInfoById(Long userId);
}
